import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { FinalValueSelectionMode } from "./FinalValueSelectionMode";
import { Brush } from "igniteui-angular-core/ES5/Brush";
import { Thickness } from "igniteui-angular-core/ES5/Thickness";
import { FinalValueLayerFrame } from "./FinalValueLayerFrame";
import { Type } from "igniteui-angular-core/ES5/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { AnnotationLayerView } from "./AnnotationLayerView";
/**
 * @hidden
 */
export declare class FinalValueLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    protected mv: FinalValueLayerView;
    mx: Series;
    mw: FinalValueSelectionMode;
    nx: Brush;
    nv: Brush;
    m6: number;
    nw: Brush;
    readonly nz: Thickness;
    m2: number;
    m4: number;
    m3: number;
    m1: number;
    axisAnnotationFormatLabel: (item: any) => string;
    my(): boolean;
    m5: number;
    protected mb(a: Series, b: boolean): void;
    protected md(a: Frame, b: SeriesView): void;
    protected ly(a: Series): boolean;
    ig(): void;
    private ny;
    private ni;
    private m0;
    private mz;
    protected nj(a: FinalValueLayerFrame, b: boolean): void;
    protected mg(a: Frame, b: SeriesView): void;
    protected c7(): boolean;
    protected is(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinalValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: FinalValueLayer);
    protected b1: FinalValueLayer;
    ap(): void;
    b2(a: Brush): Brush;
    ai(a: any): void;
}
